@charset "UTF-8";

/* Stylesheet for Scoreboard-Website, ed. 2023
 * General styles for all pages
 * by Sascha Leib for GROW.E.4
 * File name: scoreboard.css
 */

#app-wrapper #inpageNav {
	float: right;
	width: 25%;
	min-width: 220px;
	padding: 0 1em 1em;
	margin-bottom: 2em;
}
#sidebar #inpageNav {
	position: sticky;
	margin-top: 1.5rem;
	top: 3em;
	min-width: 220px;
	padding: 0 1em;
}
#inpageNav dt {
	font-size: 1rem;
	padding: 0 .75em .5em 0;
	margin-bottom: 0;
	font-weight: normal;
	text-transform: uppercase;
	letter-spacing: .02em;
}
#inpageNav dd {
  margin: .5em;
  padding: .25em;
}
#inpageNav dd a:link, #inpageNav dd a:visited {
  color: #004494;
  font-weight: bold;
  text-decoration: underline;
  text-decoration-style: dotted;
}

/* hide the navigation bar (not needed) */
#navigation-layout {
	display: block;
}

/* file links */
main a[href$=".pdf"]::after {
	content: 'PDF';
	display: inline-block;
	color: #4A4A4F;
	background-color: #EDEDF0;
	border: #CACAD1 solid 1px;
	border-radius: 3pt;
	font-size: .75em;
	padding: 0 1pt 0 2pt;
	text-decoration: none;
	margin-left: .25em;
}

/* archive-only styles: */
body[data-menu=archive] main details {
	line-height: 1.5;
	padding-inline-start: 9pt;
	margin-bottom: 1em;
}
body[data-menu=archive] main details summary {
	font-weight: bold;
	cursor: pointer;
}
body[data-menu=archive] main ul {
	margin-bottom: 1em;
}
body[data-menu=archive] main ul li {
	padding-inline-start: 0;
}

/* navigation uses full-width on small screens */
@media (max-width: 768px) {
	#sidebar #inpageNav {
		float: none;
		width: 100%;
		padding: 0 0 1.5rem 0;
	}
	main {
		padding: 0 .5rem;
	}
}